<?php
 /**
 *      [XCECP] (C) COLNET Inc.
 *      This is NOT a freeware, use is subject to license terms
 */
if(!defined("IN_QKWEB")){exit("Access Denied");}
function smarty_block_tuan($params, $content, $smarty, &$repeat)
{ 
  	if(!isset($params['name']) || $params['name']==""){
		$params['name'] = "item";
	}
	$dataindex = md5(__FUNCTION__ . md5(serialize($params)));
	if(!isset($smarty->block_data)){$smarty->block_data=array();}
	if(!isset($smarty->block_data[$dataindex])){
		$page = getgpc("page");
		$wheres = "";
		if(isset($params['limit']) && $params['limit']!="" && settype($params['limit'],"integer")){
			$limit = $params['limit'];
		}else{
			$limit = 10;
		}
		$pageSize = $limit;
		$smarty->assign("limit",$limit);
		$limit = "limit $limit";
		if(isset($params['catId']) && $params['catId']!="" && settype($params['catId'],"integer")){
			$catId = $params['catId'];
		}else{
			$catId = false;
		}
		if($catId){
			$wheres = " and catId='".$catId."'";
		}

		if(isset($params['iStatus']) && $params['iStatus']!="" && settype($params['catId'],"integer")!==false){
			$iStatus = $params['iStatus'];
			$wheres = " and iStatus='".$iStatus."'";
		}
		

		$allCount = $GLOBALS['db']->getOne("select count(id) from qk_tuan where iStatus=1 $wheres");
		
		$smarty->assign("allCount",$allCount);

		if($page && settype($page,"integer")){
			$offset = ($page-1)*$pageSize;
			$limit = "limit $offset,$pageSize";
		}

		$res = $GLOBALS['db']->getAll("select * from qk_tuan where 1=1 $wheres order by sortId asc,id desc $limit");
		
		$i = 0;
		foreach($res as $k=>$v){
			if($v['marketPrice']>0){
				$res[$i]['discount'] = sprintf("%.2f",$v['price']*10/$v['marketPrice']);
			}else{
				$res[$i]['discount'] = 0;
			}
			$res[$i]['thumbnail'] = "/".$GLOBALS['db']->getOne("select url from qk_attachment where id='".$v['thumbId']."'");
			$res[$i]['url']  = $v['externalLink'];
			//if($v['urlRewrite']){$res[$i]['url'] = $v['urlRewrite'];}
			//$res[$i]['url'] = "/tuan/".date("Y",$v['posttime'])."/".date("md",$v['posttime'])."/".$v['id'].".html";
			$i++;
		}
		$smarty->block_data[$dataindex]=$res;
	}
	if(is_array($smarty->block_data[$dataindex]) && $smarty->block_data[$dataindex]){
		$item = array_shift($smarty->block_data[$dataindex]);
		$smarty->assign($params['name'], $item);
		if(count($smarty->block_data[$dataindex])==0){
			$smarty->block_data[$dataindex] = false;
		}
		$repeat= true;
	}else{
		unset($smarty->block_data[$dataindex]);
		$repeat = false;
	}
	echo $content;
}

?>